/*
===============================================================================

	FILE:	material.cpp
	
	CONTENTS:
	
		Face Fixer - SIGGRAPH 2000 demonstration software
	
	PROGRAMMERS:
	
		Martin Isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		28 April 2000 -- Martin - finalized for SIGGRAPH submission.
	
===============================================================================
*/
#include "material.h"

#include <string.h>

FFmaterial::FFmaterial()
{
  a[0] = 0.3; d[0] = 0.6; s[0] = 0.5; e[0] = 0.0;
  a[1] = 0.3; d[1] = 0.6; s[1] = 0.5; e[1] = 0.0;
  a[2] = 0.3; d[2] = 0.6; s[2] = 0.5; e[2] = 0.0;
  a[3] = 1.0; d[3] = 1.0; s[3] = 1.0; e[3] = 1.0;
  sn = 10.0;
}

FFmaterial::FFmaterial(char* n)
{
  a[0] = 0.3; d[0] = 0.6; s[0] = 0.5; e[0] = 0.0;
  a[1] = 0.3; d[1] = 0.6; s[1] = 0.5; e[1] = 0.0;
  a[2] = 0.3; d[2] = 0.6; s[2] = 0.5; e[2] = 0.0;
  a[3] = 1.0; d[3] = 1.0; s[3] = 1.0; e[3] = 1.0;
  sn = 10.0;
  strncpy(name, n, 128);
}

FFmaterial::~FFmaterial()
{
}
