/*
===============================================================================

	FILE:	encoder.h
	
	CONTENTS:
	
		Face Fixer - SIGGRAPH 2000 demonstration software
	
	PROGRAMMERS:
	
		Martin Isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		28 April 2000 -- Martin - finalized for SIGGRAPH submission.
	
===============================================================================
*/
#ifndef FF_ENCODER_H
#define FF_ENCODER_H

class FFmesh;
class FFcodec;

class FFencoder
{
public:

  FFcodec* encode(FFmesh*);
  FFmesh* decode(FFcodec*);

  void encodeStepwise(FFmesh*, FFcodec*, int);

  FFencoder();
  ~FFencoder();
};

#endif
