/*
===============================================================================

	FILE:	label.cpp
	
	CONTENTS:
	
		Face Fixer - SIGGRAPH 2000 demonstration software
	
	PROGRAMMERS:
	
		Martin Isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		28 April 2000 -- Martin - finalized for SIGGRAPH submission.
	
===============================================================================
*/
#include "label.h"

FFlabel::FFlabel()
{
}

FFlabel::FFlabel(Type t)
{
  type = t;
}

FFlabel::FFlabel(Type t, int d)
{
  type = t;
  data1 = d;
}

FFlabel::FFlabel(Type t, int i, int o1, int o2)
{
  type = t;
  data1 = i;
  data2 = o1;
  data3 = o2;
}

FFlabel::~FFlabel()
{
}

int FFlabel::getDegree()
{
  return data1;
}

int FFlabel::getIndex()
{
  return data1;
}

int FFlabel::getOffset1()
{
  return data2;
}

int FFlabel::getOffset2()
{
  return data3;
}
